> ## Documentation Index
> Fetch the complete documentation index at: https://docs.incident.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create

> Create a new incident.



## OpenAPI

````yaml /openapi/deprecated-endpoints.json post /v1/incidents
openapi: 3.0.3
info:
  description: "This is the API reference for incident.io.\n\nIt documents available API endpoints, provides examples of how to use it, and\ninstructions around things like authentication and error handling.\n\nThe API is hosted at:\n\n- https://api.incident.io/\n\nAnd you will need to create an API key via your [incident.io\ndashboard](https://app.incident.io/settings/api-keys) to make requests.\n\n# Making requests\n\nHere are the key concepts required to make requests to the incident.io API.\n\n## Authentication\n\nFor all requests made to the incident.io API, you'll need an API key.\n\nTo create an API key, head to the incident dashboard and visit [API\nkeys](https://app.incident.io/settings/api-keys). When you create the key, you'll be able to choose what actions it\ncan take for your account: choose carefully, as those roles can only be set\nwhen you first create the key. We'll only show you the token once, so make sure\nyou store it somewhere safe.\n\nAPI keys are global to your incident.io account, and can be managed by anyone\nwho has the right permissions. We display the user that created the API key,\nand the API key will remain valid if that user becomes deactivated.\n\nOnce you have the key, you should make requests to the API that set the\n`Authorization` request header using a \"Bearer\" authentication scheme:\n\n```\nAuthorization: Bearer <YOUR_API_KEY>\n```\n\n## Rate Limits\n\nThe incident.io API enforces rate limits to ensure consistent performance for all users.\n\nThe default rate limit is 1200 requests/minute per API key. This limit applies to most endpoints across the API.\n\nSome endpoints have lower rate limits, particularly those that interact with external third-party systems that impose\ntheir own limitations. These specific limits vary by endpoint, and we recommend relying on the rate-limit error\nresponses to understand usage patterns and implement appropriate retry strategies.\n\nWhen you exceed a rate limit, the API will respond with a `429 Too Many Requests` status code, along with a JSON\nresponse that includes information about the limit and when you can retry:\n\n```json\n{\n    \"type\": \"too_many_requests\",\n    \"status\": 429,\n    \"request_id\": \"b839a403-7704-41c1-bf6a-39a2d68caefa\",\n    \"rate_limit\": {\n        \"name\": \"api_key_name\",\n        \"limit\": 1200,\n        \"remaining\": 0,\n        \"retry_after\": \"Thu, 17 Apr 2025 11:17:18 UTC\"\n    },\n    \"errors\": [\n        {\n            \"code\": \"too_many_requests\",\n            \"message\": \"Too many requests hit the API too quickly. We recommend an exponential backoff of your requests.\"\n        }\n    ]\n}\n```\n\nThe response includes:\n* The name of the API key (`name`)\n* The bucket limit (`limit`)\n* The number of requests remaining (`remaining`)\n* When you can retry requests (`retry_after`)\n\n## Errors\n\nWe use standard HTTP response codes to indicate the status or failure of API\nrequests.\n\nThe API response body will be JSON, and contain more detailed information on the\nnature of the error.\n\nAn example error when a request is made without an API key:\n\n```json\n{\n  \"type\": \"authentication_error\",\n  \"status\": 401,\n  \"request_id\": \"8e3cc412-b49d-4957-9073-2c19d2c61804\",\n  \"errors\": [\n    {\n      \"code\": \"missing_authorization_material\",\n      \"message\": \"No authorization material provided in request\"\n    }\n  ]\n}\n```\n\nNote that the error:\n\n- Contains the HTTP status (`401`)\n- References the type of error (`authentication_error`)\n- Includes a `request_id` that can be provided to incident.io support to help\n\tdebug questions with your API request\n- Provides a list of individual errors, which go into detail about why the error\n\toccurred\n\nThe most common error will be a 422 Validation Error, which is returned when the\nrequest was rejected due to failing validations.\n\nThese errors look like this:\n\n```json\n{\n  \"type\": \"validation_error\",\n  \"status\": 422,\n  \"request_id\": \"631766c4-4afd-4803-997c-cd700928fa4b\",\n  \"errors\": [\n    {\n      \"code\": \"is_required\",\n      \"message\": \"A severity is required to open an incident\",\n      \"source\": {\n        \"field\": \"severity_id\"\n      }\n    }\n  ]\n}\n```\n\nThis error is caused by not providing a severity identifier, which should be at\nthe `severity_id` field of the request payload. Errors like these can be mapped to\nforms, should you be integrating with the API from a user-interface.\n\n## Compatibility\n\nWe won't make breaking changes to existing API services or endpoints, but will\nexpect integrators to upgrade themselves to the latest API endpoints within 3\nmonths of us deprecating the old service.\n\nWe will make changes that are considered backwards compatible, which include:\n\n- Adding new API endpoints and services\n- Adding new properties to responses from existing API endpoints\n- Reordering properties returned from existing API endpoints\n- Adding optional request parameters to existing API endpoints\n- Altering the format or length of IDs\n- Adding new values to enums\n\nIt is important that clients are robust to these changes, to ensure reliable\nintegrations.\n\nAs an example, if you are generating a client using an openapi-generator, ensure\nthe generated client is configured to support unknown enum values, often\nconfigured via the `enumUnknownDefaultCase` parameter.\n\nWhen breaking changes are unavoidable, we'll create a new service version on a\nseparate path, and run them in parallel.\n\nFor example:\n\n- https://api.incident.io/v1/incidents\n- https://api.incident.io/v2/incidents\n\nFor any questions, email support@incident.io.\n"
  title: incident.io
  version: 1.0.0
servers:
  - url: https://api.incident.io
security:
  - BearerAuth: []
tags:
  - description: "Manage incident actions.\n\nThese endpoints have been deprecated in favour of Actions V2 and Follow-ups V2, as these\nconcepts have become increasingly separate.\n\nIncidents have two types of actions associated to them:\n\n- Actions, used during an incident response as ephemeral todo lists\n- Follow-ups, actions which are for after the incident and can be exported to external\n\tissue trackers\n\nYou can manage actions in the incident Slack channel with <code>/incident actions</code>, or on\nthe incident homepage.\n\nExporting follow-ups to external issue trackers can be done in the incident homepage.\n"
    name: Actions V1
  - description: >
      Manage and browse catalog resources.


      These endpoints have been deprecated in favour of CatalogV3. The only
      breaking change is

      that the 'manual' attribute mode is now split into 'api' and 'dashboard'.
      We also removed

      the usage of some types that were deprecated in the V2 API. 


      Use the incident.io catalog to track services, teams, product features and
      anything

      else that helps build a map of your organisation. These different
      categories of thing

      become catalog types, and each instance (like a particular service or
      team) is a

      catalog entry.


      Each type is made up of a series of attributes, and each attribute has a
      type. Types

      can even have attributes that refer to other catalog types.


      We automatically create catalog types when you connect an integration,
      such as GitHub

      repositories or PagerDuty services and teams. You can use this API to
      create custom

      types, that are specifically tailored to your organisation.


      Examples might be a 'Service' type with an 'Alert channel' which you can
      point at a

      Slack channel, or 'Team' which specifies its 'Manager' and 'Technical
      Lead' as Slack

      users. You can then use these types to create powerful new workflows.


      Consider using our official [catalog
      importer](https://github.com/incident-io/catalog-importer).

      It can be used to sync catalog data from sources like local files or
      GitHub and push

      them into the incident.io catalog without having to directly interact with
      our public API.
    name: Catalog V2
  - description: >
      Manage custom fields.


      Custom fields are used to attach metadata to incidents, which you can use
      when searching

      for incidents in the dashboard, triggering workflows, building
      announcement rules or for

      your own data needs.


      Each field has a type:


      - Single-select, single value selected from a predefined list of options
      (e.g. Detection Method)

      - Multi-select, as above but you can pick more than one option (e.g.
      Affected Teams)

      - Text, freeform text field (e.g. Customer ID)

      - Link, link URL that is synced to Slack bookmarks on the incident channel
      (e.g. External Status Page)

      - Number, integer or fractional numbers (e.g. # Customers Affected)


      We may add more custom field types in the future - we'd love to hear any
      other types you'd like to use!
    name: Custom Fields V1
  - description: >
      Manage incident roles.


      During an incident, you can assign responders to one of the incident roles
      that are

      configured in your organisation settings.


      Every organisation will have a special 'lead' role, which signifies the
      incident lead or

      commander. This role cannot be deleted, but can be renamed in the
      incident.io dashboard.
    name: Incident Roles V1
  - description: >
      Create and read incidents.


      Incidents are a core resource, on which many other resources (actions,
      etc) are created.


      Care should be taken around these endpoints, as automation that creates
      duplicate

      incidents can be distracting, and impact reporting.


      The maximum page size that can be requested is 250.
    name: Incidents V1
paths:
  /v1/incidents:
    post:
      tags:
        - Incidents V1
      summary: Create
      description: Create a new incident.
      operationId: Incidents V1_Create
      requestBody:
        content:
          application/json:
            example:
              custom_field_entries:
                - custom_field_id: 01FCNDV6P870EA6S7TK1DSYDG0
                  values:
                    - id: 01FCNDV6P870EA6S7TK1DSYDG0
                      value_catalog_entry_id: 01FCNDV6P870EA6S7TK1DSYDG0
                      value_link: https://google.com/
                      value_numeric: '123.456'
                      value_option_id: 01FCNDV6P870EA6S7TK1DSYDG0
                      value_text: This is my text field, I hope you like it
                      value_timestamp: ''
              idempotency_key: alert-uuid
              incident_role_assignments:
                - assignee:
                    email: bob@example.com
                    id: 01G0J1EXE7AXZ2C93K61WBPYEH
                    slack_user_id: USER123
                  incident_role_id: 01FH5TZRWMNAFB0DZ23FD1TV96
              incident_type_id: 01FH5TZRWMNAFB0DZ23FD1TV96
              mode: real
              name: Our database is sad
              severity_id: 01FH5TZRWMNAFB0DZ23FD1TV96
              slack_team_id: T02A1FSLE8J
              source_message_channel_id: C02AW36C1M5
              source_message_timestamp: '1653650280.526509'
              status: triage
              summary: Our database is really really sad, and we don't know why yet.
              visibility: public
            schema:
              $ref: '#/components/schemas/IncidentsCreatePayloadV1'
        required: true
      responses:
        '200':
          content:
            application/json:
              example:
                incident:
                  call_url: https://zoom.us/foo
                  created_at: '2021-08-17T13:28:57.801578Z'
                  creator:
                    api_key:
                      id: 01FCNDV6P870EA6S7TK1DSYDG0
                      name: My test API key
                    user:
                      email: lisa@incident.io
                      id: 01FCNDV6P870EA6S7TK1DSYDG0
                      name: Lisa Karlin Curtis
                      role: viewer
                      slack_user_id: U02AYNF2XJM
                  custom_field_entries:
                    - custom_field:
                        description: Which team is impacted by this issue
                        field_type: single_select
                        id: 01FCNDV6P870EA6S7TK1DSYDG0
                        name: Affected Team
                        options:
                          - custom_field_id: 01FCNDV6P870EA6S7TK1DSYDG0
                            id: 01FCNDV6P870EA6S7TK1DSYDG0
                            sort_key: 10
                            value: Product
                      values:
                        - value_catalog_entry:
                            aliases:
                              - lawrence@incident.io
                              - lawrence
                            external_id: 761722cd-d1d7-477b-ac7e-90f9e079dc33
                            id: 01FCNDV6P870EA6S7TK1DSYDG0
                            name: Primary On-call
                          value_link: https://google.com/
                          value_numeric: '123.456'
                          value_option:
                            custom_field_id: 01FCNDV6P870EA6S7TK1DSYDG0
                            id: 01FCNDV6P870EA6S7TK1DSYDG0
                            sort_key: 10
                            value: Product
                          value_text: This is my text field, I hope you like it
                  id: 01FDAG4SAP5TYPT98WGR2N7W91
                  incident_role_assignments:
                    - assignee:
                        email: lisa@incident.io
                        id: 01FCNDV6P870EA6S7TK1DSYDG0
                        name: Lisa Karlin Curtis
                        role: viewer
                        slack_user_id: U02AYNF2XJM
                      role:
                        created_at: '2021-08-17T13:28:57.801578Z'
                        description: The person currently coordinating the incident
                        id: 01FCNDV6P870EA6S7TK1DSYDG0
                        instructions: >-
                          Take point on the incident; Make sure people are clear
                          on responsibilities
                        name: Incident Lead
                        required: false
                        role_type: lead
                        shortform: lead
                        updated_at: '2021-08-17T13:28:57.801578Z'
                  incident_type:
                    create_in_triage: always
                    created_at: '2021-08-17T13:28:57.801578Z'
                    description: Customer facing production outages
                    id: 01FCNDV6P870EA6S7TK1DSYDG0
                    is_default: false
                    name: Production Outage
                    private_incidents_only: false
                    updated_at: '2021-08-17T13:28:57.801578Z'
                  mode: real
                  name: Our database is sad
                  permalink: https://app.incident.io/incidents/123
                  postmortem_document_url: https://docs.google.com/my_doc_id
                  reference: INC-123
                  severity:
                    created_at: '2021-08-17T13:28:57.801578Z'
                    description: Issues with **low impact**.
                    id: 01FCNDV6P870EA6S7TK1DSYDG0
                    name: Minor
                    rank: 1
                    updated_at: '2021-08-17T13:28:57.801578Z'
                  slack_channel_id: C02AW36C1M5
                  slack_channel_name: inc-165-green-parrot
                  slack_team_id: T02A1FSLE8J
                  status: triage
                  summary: >-
                    Our database is really really sad, and we don't know why
                    yet.
                  timestamps:
                    - last_occurred_at: '2021-08-17T13:28:57.801578Z'
                      name: last_activity
                  updated_at: '2021-08-17T13:28:57.801578Z'
                  visibility: public
              schema:
                $ref: '#/components/schemas/IncidentsCreateResultV1'
          description: OK response.
      deprecated: true
components:
  schemas:
    IncidentsCreatePayloadV1:
      example:
        custom_field_entries:
          - custom_field_id: 01FCNDV6P870EA6S7TK1DSYDG0
            values:
              - id: 01FCNDV6P870EA6S7TK1DSYDG0
                value_catalog_entry_id: 01FCNDV6P870EA6S7TK1DSYDG0
                value_link: https://google.com/
                value_numeric: '123.456'
                value_option_id: 01FCNDV6P870EA6S7TK1DSYDG0
                value_text: This is my text field, I hope you like it
                value_timestamp: ''
        idempotency_key: alert-uuid
        incident_role_assignments:
          - assignee:
              email: bob@example.com
              id: 01G0J1EXE7AXZ2C93K61WBPYEH
              slack_user_id: USER123
            incident_role_id: 01FH5TZRWMNAFB0DZ23FD1TV96
        incident_type_id: 01FH5TZRWMNAFB0DZ23FD1TV96
        mode: real
        name: Our database is sad
        severity_id: 01FH5TZRWMNAFB0DZ23FD1TV96
        slack_team_id: T02A1FSLE8J
        source_message_channel_id: C02AW36C1M5
        source_message_timestamp: '1653650280.526509'
        status: triage
        summary: Our database is really really sad, and we don't know why yet.
        visibility: public
      properties:
        custom_field_entries:
          description: Set the incident's custom fields to these values
          example:
            - custom_field_id: 01FCNDV6P870EA6S7TK1DSYDG0
              values:
                - id: 01FCNDV6P870EA6S7TK1DSYDG0
                  value_catalog_entry_id: 01FCNDV6P870EA6S7TK1DSYDG0
                  value_link: https://google.com/
                  value_numeric: '123.456'
                  value_option_id: 01FCNDV6P870EA6S7TK1DSYDG0
                  value_text: This is my text field, I hope you like it
                  value_timestamp: ''
          items:
            $ref: '#/components/schemas/CustomFieldEntryPayloadV1'
          type: array
        idempotency_key:
          description: Unique string used to de-duplicate incident create requests
          example: alert-uuid
          type: string
        incident_role_assignments:
          description: Assign incident roles to these people
          example:
            - assignee:
                email: bob@example.com
                id: 01G0J1EXE7AXZ2C93K61WBPYEH
                slack_user_id: USER123
              incident_role_id: 01FH5TZRWMNAFB0DZ23FD1TV96
          items:
            $ref: '#/components/schemas/IncidentRoleAssignmentPayloadV1'
          type: array
        incident_type_id:
          description: Incident type to create this incident as
          example: 01FH5TZRWMNAFB0DZ23FD1TV96
          type: string
        mode:
          description: Whether the incident is real or test
          enum:
            - real
            - test
          example: real
          type: string
        name:
          description: Explanation of the incident
          example: Our database is sad
          type: string
        severity_id:
          description: Severity to create incident as
          example: 01FH5TZRWMNAFB0DZ23FD1TV96
          type: string
        slack_team_id:
          description: >-
            ID of the Slack team / workspace. This is only required if you are
            using a Slack Enterprise Grid with multiple teams.
          example: T02A1FSLE8J
          type: string
        source_message_channel_id:
          description: >-
            Channel ID of the source message, if this incident was created from
            one
          example: C02AW36C1M5
          type: string
        source_message_timestamp:
          description: >-
            Timestamp of the source message, if this incident was created from
            one
          example: '1653650280.526509'
          type: string
        status:
          description: Current status of the incident
          enum:
            - triage
            - investigating
            - fixing
            - monitoring
            - closed
            - declined
          example: triage
          type: string
        summary:
          description: Detailed description of the incident
          example: Our database is really really sad, and we don't know why yet.
          type: string
        visibility:
          description: >-
            Whether the incident should be open to anyone in your Slack
            workspace (public), or invite-only (private). For more information
            on Private Incidents see our
            [docs](https://docs.incident.io/incidents/sensitive-incidents).
          enum:
            - public
            - private
          example: public
          type: string
      required:
        - idempotency_key
        - visibility
      type: object
    IncidentsCreateResultV1:
      example:
        incident:
          call_url: https://zoom.us/foo
          created_at: '2021-08-17T13:28:57.801578Z'
          creator:
            api_key:
              id: 01FCNDV6P870EA6S7TK1DSYDG0
              name: My test API key
            user:
              email: lisa@incident.io
              id: 01FCNDV6P870EA6S7TK1DSYDG0
              name: Lisa Karlin Curtis
              role: viewer
              slack_user_id: U02AYNF2XJM
          custom_field_entries:
            - custom_field:
                description: Which team is impacted by this issue
                field_type: single_select
                id: 01FCNDV6P870EA6S7TK1DSYDG0
                name: Affected Team
                options:
                  - custom_field_id: 01FCNDV6P870EA6S7TK1DSYDG0
                    id: 01FCNDV6P870EA6S7TK1DSYDG0
                    sort_key: 10
                    value: Product
              values:
                - value_catalog_entry:
                    aliases:
                      - lawrence@incident.io
                      - lawrence
                    external_id: 761722cd-d1d7-477b-ac7e-90f9e079dc33
                    id: 01FCNDV6P870EA6S7TK1DSYDG0
                    name: Primary On-call
                  value_link: https://google.com/
                  value_numeric: '123.456'
                  value_option:
                    custom_field_id: 01FCNDV6P870EA6S7TK1DSYDG0
                    id: 01FCNDV6P870EA6S7TK1DSYDG0
                    sort_key: 10
                    value: Product
                  value_text: This is my text field, I hope you like it
          id: 01FDAG4SAP5TYPT98WGR2N7W91
          incident_role_assignments:
            - assignee:
                email: lisa@incident.io
                id: 01FCNDV6P870EA6S7TK1DSYDG0
                name: Lisa Karlin Curtis
                role: viewer
                slack_user_id: U02AYNF2XJM
              role:
                created_at: '2021-08-17T13:28:57.801578Z'
                description: The person currently coordinating the incident
                id: 01FCNDV6P870EA6S7TK1DSYDG0
                instructions: >-
                  Take point on the incident; Make sure people are clear on
                  responsibilities
                name: Incident Lead
                required: false
                role_type: lead
                shortform: lead
                updated_at: '2021-08-17T13:28:57.801578Z'
          incident_type:
            create_in_triage: always
            created_at: '2021-08-17T13:28:57.801578Z'
            description: Customer facing production outages
            id: 01FCNDV6P870EA6S7TK1DSYDG0
            is_default: false
            name: Production Outage
            private_incidents_only: false
            updated_at: '2021-08-17T13:28:57.801578Z'
          mode: real
          name: Our database is sad
          permalink: https://app.incident.io/incidents/123
          postmortem_document_url: https://docs.google.com/my_doc_id
          reference: INC-123
          severity:
            created_at: '2021-08-17T13:28:57.801578Z'
            description: Issues with **low impact**.
            id: 01FCNDV6P870EA6S7TK1DSYDG0
            name: Minor
            rank: 1
            updated_at: '2021-08-17T13:28:57.801578Z'
          slack_channel_id: C02AW36C1M5
          slack_channel_name: inc-165-green-parrot
          slack_team_id: T02A1FSLE8J
          status: triage
          summary: Our database is really really sad, and we don't know why yet.
          timestamps:
            - last_occurred_at: '2021-08-17T13:28:57.801578Z'
              name: last_activity
          updated_at: '2021-08-17T13:28:57.801578Z'
          visibility: public
      properties:
        incident:
          $ref: '#/components/schemas/IncidentV1'
      required:
        - incident
      type: object
    CustomFieldEntryPayloadV1:
      example:
        custom_field_id: 01FCNDV6P870EA6S7TK1DSYDG0
        values:
          - id: 01FCNDV6P870EA6S7TK1DSYDG0
            value_catalog_entry_id: 01FCNDV6P870EA6S7TK1DSYDG0
            value_link: https://google.com/
            value_numeric: '123.456'
            value_option_id: 01FCNDV6P870EA6S7TK1DSYDG0
            value_text: This is my text field, I hope you like it
            value_timestamp: ''
      properties:
        custom_field_id:
          description: ID of the custom field this entry is linked against
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        values:
          description: >-
            List of values to associate with this entry. Use an empty array to
            unset the value of the custom field.
          example:
            - id: 01FCNDV6P870EA6S7TK1DSYDG0
              value_catalog_entry_id: 01FCNDV6P870EA6S7TK1DSYDG0
              value_link: https://google.com/
              value_numeric: '123.456'
              value_option_id: 01FCNDV6P870EA6S7TK1DSYDG0
              value_text: This is my text field, I hope you like it
              value_timestamp: ''
          items:
            $ref: '#/components/schemas/CustomFieldValuePayloadV1'
          type: array
      required:
        - custom_field_id
        - values
      type: object
    IncidentRoleAssignmentPayloadV1:
      example:
        assignee:
          email: bob@example.com
          id: 01G0J1EXE7AXZ2C93K61WBPYEH
          slack_user_id: USER123
        incident_role_id: 01FH5TZRWMNAFB0DZ23FD1TV96
      properties:
        assignee:
          $ref: '#/components/schemas/UserReferencePayloadV1'
        incident_role_id:
          description: >-
            Unique ID of an incident role. Note that the 'reporter' role can
            only be assigned when creating an incident.
          example: 01FH5TZRWMNAFB0DZ23FD1TV96
          type: string
      required:
        - incident_role_id
        - assignee
      type: object
    IncidentV1:
      example:
        call_url: https://zoom.us/foo
        created_at: '2021-08-17T13:28:57.801578Z'
        creator:
          api_key:
            id: 01FCNDV6P870EA6S7TK1DSYDG0
            name: My test API key
          user:
            email: lisa@incident.io
            id: 01FCNDV6P870EA6S7TK1DSYDG0
            name: Lisa Karlin Curtis
            role: viewer
            slack_user_id: U02AYNF2XJM
        custom_field_entries:
          - custom_field:
              description: Which team is impacted by this issue
              field_type: single_select
              id: 01FCNDV6P870EA6S7TK1DSYDG0
              name: Affected Team
              options:
                - custom_field_id: 01FCNDV6P870EA6S7TK1DSYDG0
                  id: 01FCNDV6P870EA6S7TK1DSYDG0
                  sort_key: 10
                  value: Product
            values:
              - value_catalog_entry:
                  aliases:
                    - lawrence@incident.io
                    - lawrence
                  external_id: 761722cd-d1d7-477b-ac7e-90f9e079dc33
                  id: 01FCNDV6P870EA6S7TK1DSYDG0
                  name: Primary On-call
                value_link: https://google.com/
                value_numeric: '123.456'
                value_option:
                  custom_field_id: 01FCNDV6P870EA6S7TK1DSYDG0
                  id: 01FCNDV6P870EA6S7TK1DSYDG0
                  sort_key: 10
                  value: Product
                value_text: This is my text field, I hope you like it
        id: 01FDAG4SAP5TYPT98WGR2N7W91
        incident_role_assignments:
          - assignee:
              email: lisa@incident.io
              id: 01FCNDV6P870EA6S7TK1DSYDG0
              name: Lisa Karlin Curtis
              role: viewer
              slack_user_id: U02AYNF2XJM
            role:
              created_at: '2021-08-17T13:28:57.801578Z'
              description: The person currently coordinating the incident
              id: 01FCNDV6P870EA6S7TK1DSYDG0
              instructions: >-
                Take point on the incident; Make sure people are clear on
                responsibilities
              name: Incident Lead
              required: false
              role_type: lead
              shortform: lead
              updated_at: '2021-08-17T13:28:57.801578Z'
        incident_type:
          create_in_triage: always
          created_at: '2021-08-17T13:28:57.801578Z'
          description: Customer facing production outages
          id: 01FCNDV6P870EA6S7TK1DSYDG0
          is_default: false
          name: Production Outage
          private_incidents_only: false
          updated_at: '2021-08-17T13:28:57.801578Z'
        mode: real
        name: Our database is sad
        permalink: https://app.incident.io/incidents/123
        postmortem_document_url: https://docs.google.com/my_doc_id
        reference: INC-123
        severity:
          created_at: '2021-08-17T13:28:57.801578Z'
          description: Issues with **low impact**.
          id: 01FCNDV6P870EA6S7TK1DSYDG0
          name: Minor
          rank: 1
          updated_at: '2021-08-17T13:28:57.801578Z'
        slack_channel_id: C02AW36C1M5
        slack_channel_name: inc-165-green-parrot
        slack_team_id: T02A1FSLE8J
        status: triage
        summary: Our database is really really sad, and we don't know why yet.
        timestamps:
          - last_occurred_at: '2021-08-17T13:28:57.801578Z'
            name: last_activity
        updated_at: '2021-08-17T13:28:57.801578Z'
        visibility: public
      properties:
        call_url:
          description: The call URL attached to this incident
          example: https://zoom.us/foo
          type: string
        created_at:
          description: When the incident was created
          example: '2021-08-17T13:28:57.801578Z'
          format: date-time
          type: string
        creator:
          $ref: '#/components/schemas/ActorV1'
        custom_field_entries:
          description: Custom field entries for this incident
          example:
            - custom_field:
                description: Which team is impacted by this issue
                field_type: single_select
                id: 01FCNDV6P870EA6S7TK1DSYDG0
                name: Affected Team
                options:
                  - custom_field_id: 01FCNDV6P870EA6S7TK1DSYDG0
                    id: 01FCNDV6P870EA6S7TK1DSYDG0
                    sort_key: 10
                    value: Product
              values:
                - value_catalog_entry:
                    aliases:
                      - lawrence@incident.io
                      - lawrence
                    external_id: 761722cd-d1d7-477b-ac7e-90f9e079dc33
                    id: 01FCNDV6P870EA6S7TK1DSYDG0
                    name: Primary On-call
                  value_link: https://google.com/
                  value_numeric: '123.456'
                  value_option:
                    custom_field_id: 01FCNDV6P870EA6S7TK1DSYDG0
                    id: 01FCNDV6P870EA6S7TK1DSYDG0
                    sort_key: 10
                    value: Product
                  value_text: This is my text field, I hope you like it
          items:
            $ref: '#/components/schemas/CustomFieldEntryV1'
          type: array
        id:
          description: Unique identifier for the incident
          example: 01FDAG4SAP5TYPT98WGR2N7W91
          type: string
        incident_role_assignments:
          description: A list of who is assigned to each role for this incident
          example:
            - assignee:
                email: lisa@incident.io
                id: 01FCNDV6P870EA6S7TK1DSYDG0
                name: Lisa Karlin Curtis
                role: viewer
                slack_user_id: U02AYNF2XJM
              role:
                created_at: '2021-08-17T13:28:57.801578Z'
                description: The person currently coordinating the incident
                id: 01FCNDV6P870EA6S7TK1DSYDG0
                instructions: >-
                  Take point on the incident; Make sure people are clear on
                  responsibilities
                name: Incident Lead
                required: false
                role_type: lead
                shortform: lead
                updated_at: '2021-08-17T13:28:57.801578Z'
          items:
            $ref: '#/components/schemas/IncidentRoleAssignmentV1'
          type: array
        incident_type:
          $ref: '#/components/schemas/IncidentTypeV1'
        mode:
          description: >-
            Whether the incident is real, a test, a tutorial, or importing as a
            retrospective incident
          enum:
            - real
            - test
            - tutorial
          example: real
          type: string
        name:
          description: Explanation of the incident
          example: Our database is sad
          type: string
        permalink:
          description: A permanent link to the homepage for this incident
          example: https://app.incident.io/incidents/123
          type: string
        postmortem_document_url:
          description: The URL of the incident post-mortem document
          example: https://docs.google.com/my_doc_id
          type: string
        reference:
          description: Reference to this incident, as displayed across the product
          example: INC-123
          type: string
        severity:
          $ref: '#/components/schemas/SeverityV1'
        slack_channel_id:
          description: >-
            ID of the Slack channel in the organisation Slack workspace. Note
            that the channel is sometimes created asynchronously, so may not be
            present when the incident is just created.
          example: C02AW36C1M5
          type: string
        slack_channel_name:
          description: Name of the slack channel
          example: inc-165-green-parrot
          type: string
        slack_team_id:
          description: >-
            ID of the Slack team / workspace. This is only required if you are
            using a Slack Enterprise Grid with multiple teams.
          example: T02A1FSLE8J
          type: string
        status:
          description: Current status of the incident
          enum:
            - triage
            - investigating
            - fixing
            - monitoring
            - closed
            - declined
          example: triage
          type: string
        summary:
          description: Detailed description of the incident
          example: Our database is really really sad, and we don't know why yet.
          type: string
        timestamps:
          description: Incident lifecycle events and when they last occurred
          example:
            - last_occurred_at: '2021-08-17T13:28:57.801578Z'
              name: last_activity
          items:
            $ref: '#/components/schemas/IncidentTimestampValueV1'
          type: array
        updated_at:
          description: When the incident was last updated
          example: '2021-08-17T13:28:57.801578Z'
          format: date-time
          type: string
        visibility:
          description: >-
            Whether the incident should be open to anyone in your Slack
            workspace (public), or invite-only (private). For more information
            on Private Incidents see our
            [docs](https://docs.incident.io/incidents/sensitive-incidents).
          enum:
            - public
            - private
          example: public
          type: string
      required:
        - status
        - id
        - reference
        - name
        - visibility
        - mode
        - creator
        - incident_role_assignments
        - custom_field_entries
        - slack_team_id
        - slack_channel_id
        - created_at
        - updated_at
      type: object
    CustomFieldValuePayloadV1:
      example:
        id: 01FCNDV6P870EA6S7TK1DSYDG0
        value_catalog_entry_id: 01FCNDV6P870EA6S7TK1DSYDG0
        value_link: https://google.com/
        value_numeric: '123.456'
        value_option_id: 01FCNDV6P870EA6S7TK1DSYDG0
        value_text: This is my text field, I hope you like it
        value_timestamp: ''
      properties:
        id:
          description: Unique identifier for the custom field value
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        value_catalog_entry_id:
          description: >-
            ID of the catalog entry. You can also use an ExternalID or an Alias
            of the catalog entry.
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        value_link:
          description: >-
            If the custom field type is 'link', this will contain the value
            assigned.
          example: https://google.com/
          type: string
        value_numeric:
          description: >-
            If the custom field type is 'numeric', this will contain the value
            assigned.
          example: '123.456'
          type: string
        value_option_id:
          description: ID of the custom field option
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        value_text:
          description: >-
            If the custom field type is 'text', this will contain the value
            assigned.
          example: This is my text field, I hope you like it
          type: string
        value_timestamp:
          description: 'Deprecated: please use incident timestamp values instead'
          example: ''
          type: string
      type: object
    UserReferencePayloadV1:
      example:
        email: bob@example.com
        id: 01G0J1EXE7AXZ2C93K61WBPYEH
        slack_user_id: USER123
      properties:
        email:
          description: The user's email address, matching the email on their Slack account
          example: bob@example.com
          type: string
        id:
          description: The incident.io ID of a user
          example: 01G0J1EXE7AXZ2C93K61WBPYEH
          type: string
        slack_user_id:
          description: The ID of the user's Slack account.
          example: USER123
          type: string
      type: object
    ActorV1:
      example:
        api_key:
          id: 01FCNDV6P870EA6S7TK1DSYDG0
          name: My test API key
        user:
          email: lisa@incident.io
          id: 01FCNDV6P870EA6S7TK1DSYDG0
          name: Lisa Karlin Curtis
          role: viewer
          slack_user_id: U02AYNF2XJM
      properties:
        api_key:
          $ref: '#/components/schemas/APIKeyActorV1'
        user:
          $ref: '#/components/schemas/UserV1'
      type: object
    CustomFieldEntryV1:
      example:
        custom_field:
          description: Which team is impacted by this issue
          field_type: single_select
          id: 01FCNDV6P870EA6S7TK1DSYDG0
          name: Affected Team
          options:
            - custom_field_id: 01FCNDV6P870EA6S7TK1DSYDG0
              id: 01FCNDV6P870EA6S7TK1DSYDG0
              sort_key: 10
              value: Product
        values:
          - value_catalog_entry:
              aliases:
                - lawrence@incident.io
                - lawrence
              external_id: 761722cd-d1d7-477b-ac7e-90f9e079dc33
              id: 01FCNDV6P870EA6S7TK1DSYDG0
              name: Primary On-call
            value_link: https://google.com/
            value_numeric: '123.456'
            value_option:
              custom_field_id: 01FCNDV6P870EA6S7TK1DSYDG0
              id: 01FCNDV6P870EA6S7TK1DSYDG0
              sort_key: 10
              value: Product
            value_text: This is my text field, I hope you like it
      properties:
        custom_field:
          $ref: '#/components/schemas/CustomFieldTypeInfoV1'
        values:
          description: List of custom field values set on this entry
          example:
            - value_catalog_entry:
                aliases:
                  - lawrence@incident.io
                  - lawrence
                external_id: 761722cd-d1d7-477b-ac7e-90f9e079dc33
                id: 01FCNDV6P870EA6S7TK1DSYDG0
                name: Primary On-call
              value_link: https://google.com/
              value_numeric: '123.456'
              value_option:
                custom_field_id: 01FCNDV6P870EA6S7TK1DSYDG0
                id: 01FCNDV6P870EA6S7TK1DSYDG0
                sort_key: 10
                value: Product
              value_text: This is my text field, I hope you like it
          items:
            $ref: '#/components/schemas/CustomFieldValueV1'
          type: array
      required:
        - custom_field
        - values
      type: object
    IncidentRoleAssignmentV1:
      example:
        assignee:
          email: lisa@incident.io
          id: 01FCNDV6P870EA6S7TK1DSYDG0
          name: Lisa Karlin Curtis
          role: viewer
          slack_user_id: U02AYNF2XJM
        role:
          created_at: '2021-08-17T13:28:57.801578Z'
          description: The person currently coordinating the incident
          id: 01FCNDV6P870EA6S7TK1DSYDG0
          instructions: >-
            Take point on the incident; Make sure people are clear on
            responsibilities
          name: Incident Lead
          required: false
          role_type: lead
          shortform: lead
          updated_at: '2021-08-17T13:28:57.801578Z'
      properties:
        assignee:
          $ref: '#/components/schemas/UserV1'
        role:
          $ref: '#/components/schemas/IncidentRoleV1'
      required:
        - role
      type: object
    IncidentTypeV1:
      properties:
        create_in_triage:
          description: >-
            Whether incidents of this must always, or can optionally, be created
            in triage
          enum:
            - always
            - optional
          example: always
          type: string
        created_at:
          description: When this resource was created
          example: '2021-08-17T13:28:57.801578Z'
          format: date-time
          type: string
        description:
          description: What is this incident type for?
          example: Customer facing production outages
          type: string
        id:
          description: Unique identifier for this Incident Type
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        is_default:
          description: >-
            The default Incident Type is used when no other type is explicitly
            specified
          example: false
          type: boolean
        name:
          description: The name of this Incident Type
          example: Production Outage
          type: string
        private_incidents_only:
          description: Should all incidents created with this Incident Type be private?
          example: false
          type: boolean
        updated_at:
          description: When this resource was last updated
          example: '2021-08-17T13:28:57.801578Z'
          format: date-time
          type: string
      required:
        - id
        - name
        - is_default
        - description
        - private_incidents_only
        - created_at
        - updated_at
        - create_in_triage
      type: object
    SeverityV1:
      properties:
        created_at:
          description: When the action was created
          example: '2021-08-17T13:28:57.801578Z'
          format: date-time
          type: string
        description:
          description: Description of the severity
          example: Issues with **low impact**.
          type: string
        id:
          description: Unique identifier of the severity
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        name:
          description: Human readable name of the severity
          example: Minor
          maxLength: 50
          type: string
        rank:
          description: Rank to help sort severities (lower numbers are less severe)
          example: 1
          format: int64
          type: integer
        updated_at:
          description: When the action was last updated
          example: '2021-08-17T13:28:57.801578Z'
          format: date-time
          type: string
      required:
        - rank
        - created_at
        - updated_at
        - id
        - name
        - description
      type: object
    IncidentTimestampValueV1:
      example:
        last_occurred_at: '2021-08-17T13:28:57.801578Z'
        name: last_activity
      properties:
        last_occurred_at:
          description: When this last occurred, if it did
          example: '2021-08-17T13:28:57.801578Z'
          format: date-time
          type: string
        name:
          description: Name of the lifecycle event
          example: last_activity
          type: string
      required:
        - name
      type: object
    APIKeyActorV1:
      example:
        id: 01FCNDV6P870EA6S7TK1DSYDG0
        name: My test API key
      properties:
        id:
          description: Unique identifier for this API key
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        name:
          description: The name of the API key, for the user's reference
          example: My test API key
          type: string
      required:
        - id
        - name
      type: object
    UserV1:
      example:
        email: lisa@incident.io
        id: 01FCNDV6P870EA6S7TK1DSYDG0
        name: Lisa Karlin Curtis
        role: viewer
        slack_user_id: U02AYNF2XJM
      properties:
        email:
          description: Email address of the user.
          example: lisa@incident.io
          type: string
        id:
          description: Unique identifier of the user
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        name:
          description: Name of the user
          example: Lisa Karlin Curtis
          type: string
        role:
          description: >-
            DEPRECATED: Role of the user as of March 9th 2023, this value is no
            longer updated.
          enum:
            - viewer
            - responder
            - administrator
            - owner
            - unset
          example: viewer
          type: string
        slack_user_id:
          description: Slack ID of the user
          example: U02AYNF2XJM
          type: string
      required:
        - role
        - id
        - name
      type: object
    CustomFieldTypeInfoV1:
      example:
        description: Which team is impacted by this issue
        field_type: single_select
        id: 01FCNDV6P870EA6S7TK1DSYDG0
        name: Affected Team
        options:
          - custom_field_id: 01FCNDV6P870EA6S7TK1DSYDG0
            id: 01FCNDV6P870EA6S7TK1DSYDG0
            sort_key: 10
            value: Product
      properties:
        description:
          description: Description of the custom field
          example: Which team is impacted by this issue
          type: string
        field_type:
          description: Type of custom field
          enum:
            - single_select
            - multi_select
            - text
            - link
            - numeric
          example: single_select
          type: string
        id:
          description: Unique identifier for the custom field
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        name:
          description: Human readable name for the custom field
          example: Affected Team
          maxLength: 50
          type: string
        options:
          description: >-
            What options are available for this custom field, if this field has
            options
          example:
            - custom_field_id: 01FCNDV6P870EA6S7TK1DSYDG0
              id: 01FCNDV6P870EA6S7TK1DSYDG0
              sort_key: 10
              value: Product
          items:
            $ref: '#/components/schemas/CustomFieldOptionV1'
          type: array
      required:
        - id
        - name
        - description
        - field_type
        - options
      type: object
    CustomFieldValueV1:
      example:
        value_catalog_entry:
          aliases:
            - lawrence@incident.io
            - lawrence
          external_id: 761722cd-d1d7-477b-ac7e-90f9e079dc33
          id: 01FCNDV6P870EA6S7TK1DSYDG0
          name: Primary On-call
        value_link: https://google.com/
        value_numeric: '123.456'
        value_option:
          custom_field_id: 01FCNDV6P870EA6S7TK1DSYDG0
          id: 01FCNDV6P870EA6S7TK1DSYDG0
          sort_key: 10
          value: Product
        value_text: This is my text field, I hope you like it
      properties:
        value_catalog_entry:
          $ref: '#/components/schemas/EmbeddedCatalogEntryV1'
        value_link:
          description: >-
            If the custom field type is 'link', this will contain the value
            assigned.
          example: https://google.com/
          type: string
        value_numeric:
          description: >-
            If the custom field type is 'numeric', this will contain the value
            assigned.
          example: '123.456'
          type: string
        value_option:
          $ref: '#/components/schemas/CustomFieldOptionV1'
        value_text:
          description: >-
            If the custom field type is 'text', this will contain the value
            assigned.
          example: This is my text field, I hope you like it
          type: string
      type: object
    IncidentRoleV1:
      example:
        created_at: '2021-08-17T13:28:57.801578Z'
        description: The person currently coordinating the incident
        id: 01FCNDV6P870EA6S7TK1DSYDG0
        instructions: >-
          Take point on the incident; Make sure people are clear on
          responsibilities
        name: Incident Lead
        required: false
        role_type: lead
        shortform: lead
        updated_at: '2021-08-17T13:28:57.801578Z'
      properties:
        created_at:
          description: When the role was created
          example: '2021-08-17T13:28:57.801578Z'
          format: date-time
          type: string
        description:
          description: Describes the purpose of the role
          example: The person currently coordinating the incident
          minLength: 1
          type: string
        id:
          description: Unique identifier for the role
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        instructions:
          description: >-
            Provided to whoever is nominated for the role. Note that this will
            be empty for the 'reporter' role.
          example: >-
            Take point on the incident; Make sure people are clear on
            responsibilities
          type: string
        name:
          description: Human readable name of the incident role
          example: Incident Lead
          minLength: 1
          type: string
        required:
          description: 'DEPRECATED: this will always be false.'
          example: false
          type: boolean
        role_type:
          description: Type of incident role
          enum:
            - lead
            - reporter
            - custom
          example: lead
          type: string
        shortform:
          description: >-
            Short human readable name for Slack. Note that this will be empty
            for the 'reporter' role.
          example: lead
          type: string
        updated_at:
          description: When the role was last updated
          example: '2021-08-17T13:28:57.801578Z'
          format: date-time
          type: string
      required:
        - name
        - shortform
        - description
        - instructions
        - id
        - role_type
        - created_at
        - updated_at
      type: object
    CustomFieldOptionV1:
      properties:
        custom_field_id:
          description: ID of the custom field this option belongs to
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        id:
          description: Unique identifier for the custom field option
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        sort_key:
          default: 1000
          description: Sort key used to order the custom field options correctly
          example: 10
          format: int64
          type: integer
        value:
          description: >-
            Human readable name for the custom field option. Values must not
            start or end with whitespace, or contain tabs or newlines.
          example: Product
          type: string
      required:
        - id
        - custom_field_id
        - value
        - sort_key
      type: object
    EmbeddedCatalogEntryV1:
      example:
        aliases:
          - lawrence@incident.io
          - lawrence
        external_id: 761722cd-d1d7-477b-ac7e-90f9e079dc33
        id: 01FCNDV6P870EA6S7TK1DSYDG0
        name: Primary On-call
      properties:
        aliases:
          description: Optional aliases that can be used to reference this entry
          example:
            - lawrence@incident.io
            - lawrence
          items:
            example: abc123
            type: string
          type: array
        external_id:
          description: >-
            An optional alternative ID for this entry, which is ensured to be
            unique for the type
          example: 761722cd-d1d7-477b-ac7e-90f9e079dc33
          type: string
        id:
          description: ID of this catalog entry
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        name:
          description: Name is the human readable name of this entry
          example: Primary On-call
          type: string
      required:
        - id
        - name
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: API key from your incident.io dashboard (Settings → API keys)

````